<template>
  <div>
    <div class="titSec">Búsqueda de Sucursal</div>
    <v-card>
      <div class="gris">
        <v-row>
          <v-col :cols="12" :sm="12" :md="4" :lg="4" :xl="4">
            <ListaNegocioComponente
              v-model="value"
              :callback="callbackNegocioSelccionado"
            />
          </v-col>
          <v-col :cols="12" :sm="12" :md="4" :lg="4" :xl="4">
            <ListaCecoComponente
              v-model="value"
              :callback="callbackCecoSeleccionado"
              :borrarDatos="borradoPorNivel"
            />
          </v-col>
          <v-col :cols="12" :sm="12" :md="4" :lg="4" :xl="4">
            <ListaFormato
              v-model="value"
              :callback="callbackFormatoSeleccionadoBusquedaSucursal"
              ref="listaFormato"
            />
          </v-col>
        </v-row>
      </div>
    </v-card>
  </div>
</template>

<script>
import ListaCecoComponente from "../componentes/ListaCecoComponente.vue";
import ListaFormato from "../componentes/ListaFormato.vue";
import ListaNegocioComponente from "../componentes/ListaNegocioComponente.vue";

export default {
  name: "BusquedaSucursal",

  props: {
    value: Object,
    callbackNegocioSelccionado: { type: Function },
    callbackCecoSeleccionado: { type: Function },
    callbackFormatoSeleccionado: { type: Function },
    borradoPorNivel: { type: Function },
  },
  components: {
    ListaNegocioComponente,
    ListaCecoComponente,
    ListaFormato,
  },

  created() {},
  data() {
    return {
      data: Object,
    };
  },
  methods: {
    getFormatos() {
      this.$refs.listaFormato.getFormatos();
    },
    borrarListaFormato() {
      this.$refs.listaFormato.borrarListaFormato();
    },
    callbackFormatoSeleccionadoBusquedaSucursal() {
      this.callbackFormatoSeleccionado();
    },
  },
};
</script>

<style lang="scss" scoped></style>
